Bug 509325 - NetworkManager cannot establish wired internet connection
NetworkManager cannot establish wired internet connection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 04:51 EDT by Wim Van Hoydonck
Modified: 2010-04-23 17:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-23 17:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wim Van Hoydonck 2009-07-02 04:51:24 EDT
Description of problem:

On a brand-new Ahtec lug N011 netbook with fedora 11 installed, 
NetworkManager is not able to establish a wired network 
connection. As root, "ifup eth0" does work however.
After establishing a wired network connection with ifup, the icon 
of NetworkManager still shows a disconnected eth0. 

Version-Release number of selected component (if applicable):
0.7.1

How reproducible:
Left-mouse click on NetworkManager Applet, clicking on System eth0
results in a pop-up message with the following text:
Disconnected: The network connection has been disconnected.


Steps to Reproduce:
1. as root: $ ifdown eth0
2. Left-click on NetworkManager applet and select System eth0 to activate wired network

  
Actual results:
Pop-up message says network has been disconnected
No network connection available


Expected results:
Wired network connection

Additional info:
Comment 1 Wim Van Hoydonck 2009-07-04 07:02:53 EDT
More info:

kernel messages (dmesg) when I plug in or unplug the eth0 cable:
r8169: eth0: link up
r8169: eth0: link down

When trying to establish a connection with NetworkManager,
I always end up with the network being disconnected.

Regards,

Wim
Comment 2 Wim Van Hoydonck 2009-07-06 08:15:18 EDT
Ok found the cause.

SELinux is somehow involved in preventing NetworkManager from establishing 
a connection, changing its state from enforcing to permissive seems to solve
this problem.
Comment 3 Niels Haase 2009-07-09 00:18:33 EDT
Thanks for filling this bug.
Can you please attach the SE denial messages if the problem occur? This may help us to avoid further problems. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Wim Van Hoydonck 2009-07-09 04:13:14 EDT
changed selinux state to enforcing in /etc/selinux/config and rebooted
wired network is not started.

dmesg:
type=1400 audit(1247126646.477:4): avc:  denied  { read } for  pid=1210 comm="ip6tables-resto" name="libiptc.so.0" dev=dm-0 ino=6116 scontext=system_u:system_r:iptables_t:s0 tcontext=unconfined_u:object_r:usr_t:s0 tclass=lnk_file
type=1400 audit(1247126646.560:5): avc:  denied  { read } for  pid=1210 comm="ip6tables-resto" name="libiptc.so.0" dev=dm-0 ino=6116 scontext=system_u:system_r:iptables_t:s0 tcontext=unconfined_u:object_r:usr_t:s0 tclass=lnk_file
type=1400 audit(1247126646.674:6): avc:  denied  { read } for  pid=1223 comm="iptables-restor" name="libiptc.so.0" dev=dm-0 ino=6116 scontext=system_u:system_r:iptables_t:s0 tcontext=unconfined_u:object_r:usr_t:s0 tclass=lnk_file
type=1400 audit(1247126646.674:7): avc:  denied  { read } for  pid=1223 comm="iptables-restor" name="libiptc.so.0" dev=dm-0 ino=6116 scontext=system_u:system_r:iptables_t:s0 tcontext=unconfined_u:object_r:usr_t:s0 tclass=lnk_file
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
RPC: Registered udp transport module.
RPC: Registered tcp transport module.
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
...
bluetooth messages
...
r8169: eth0: link up
r8169: eth0: link up
dhclient[1698]: segfault at 4a55a487 ip 0806f9cd sp bfe1dc20 error 4 in dhclient[8047000+85000]
eth0: no IPv6 routers present
Comment 5 Niels Haase 2009-07-14 17:53:20 EDT
Dan,

can you please also take a look at this one?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Daniel Walsh 2009-07-15 12:14:14 EDT
Looks like your shared libraries are mislabled.

Where does

libiptc.so.0

Exist?
Comment 7 Daniel Walsh 2009-07-15 12:15:02 EDT
you probably need to run

restorecon -R -v /usr
Comment 8 Dan Williams 2009-11-12 02:48:34 EST
Reporter, does running the command from comment #7 help?
Comment 9 Dan Williams 2010-04-23 17:52:19 EDT
Closing due to lack of inactivity; please re-open if you still see the problem after following the advice in comment #7.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.